# apps/hello-world/hello-world.h File Reference

## Detailed Description

Header file for an example of how to write uIP applications with protosockets.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file hello-world.h.

`#include "uipopt.h"`
`#include "psock.h"`

Go to the source code of this file.

## Data Structures

struct | hello_world_state

## Defines

#define | UIP_APPCALL hello_world_appcall

## Functions

void | hello_world_appcall (void)
void | hello_world_init (void)